- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\FFProbe\DataMapping\AbstractData

abstract class AbstractData implements Countable

## Methods

| __construct(array $properties) |
Boolean | has(string $property) Returns true if data has property. |
mixed | get(string $property) Returns the property value given its name. |
AbstractData | set(string $property, mixed $value) Sets the property value given its name. |
array | keys() Returns all property names. |
array | all() Returns all properties and their values. |
| count() {@inheritdoc} |

## Details

###
at line 20
`public __construct(array $properties)`

#### Parameters

array | $properties |

###
at line 31
`public Boolean has(string $property)`

Returns true if data has property.

#### Parameters

string | $property |

#### Return Value

Boolean |

###
at line 44
`public mixed get(string $property)`

Returns the property value given its name.

#### Parameters

string | $property |

#### Return Value

mixed |

#### Exceptions

InvalidArgumentException | In case the data does not have the property

###
at line 61
`public AbstractData set(string $property, mixed $value)`

Sets the property value given its name.

#### Parameters

string | $property |
mixed | $value |

#### Return Value

AbstractData |

###
at line 73
`public array keys()`

Returns all property names.

#### Return Value

array |

###
at line 83
`public array all()`

Returns all properties and their values.

#### Return Value

array |

###
at line 91
`public count()`

{@inheritdoc}